Package org.eclipse.mat.parser.index

# Interface IIndexReader

All Known Subinterfaces:
  `IIndexReader.IOne2LongIndex`, `IIndexReader.IOne2ManyIndex`, `IIndexReader.IOne2ManyObjectsIndex`, `IIndexReader.IOne2OneIndex`, `IIndexReader.IOne2SizeIndex`

All Known Implementing Classes:
  `IndexReader.IntIndex1NSortedReader`, `IndexReader.IntIndexReader`, `IndexReader.LongIndex1NReader`, `IndexReader.LongIndexReader`, `IndexReader.SizeIndexReader`, `IndexWriter.Identifier`, `IndexWriter.IntIndexCollector`, `RetainedSizeCache`

public interface IIndexReader
Interfaces for reading various indexes into the snapshot.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IIndexReader.IOne2LongIndex`
Index from object id to a long.
`static interface`
`IIndexReader.IOne2ManyIndex`
Index from object id to several object ids.
`static interface`
`IIndexReader.IOne2ManyObjectsIndex`
Index from object id to several object ids.
`static interface`
`IIndexReader.IOne2OneIndex`
Index from object id to another int.
`static interface`
`IIndexReader.IOne2SizeIndex`
Index from object id to size, stored compressed as an int.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Close the backing file.
`void`
`delete()`
Delete the backing file.
`int`
`size()`
Size of the index
`void`
`unload()`
Clear the caches.

## Method Details

### size

int size()
Size of the index

Returns:
  number of entries

### unload

void unload() throws IOException
Clear the caches. Used when the indexes are not current in use and the memory needs to be reclaimed such as when building the dominator tree.

Throws:
  `IOException`

### close

void close() throws IOException
Close the backing file.

Throws:
  `IOException`

### delete

void delete()
Delete the backing file.